### Name

> XmHTMLAnchorGetId - obtain the id of a HTML anchor in the currently displayed document.

### Synopsis

> int XmHTMLAnchorGetId(Widget w, String anchor)

### Description

> XmHTMLAnchorGetId returns a unique identifier for the requested anchor. This id can subsequently be used to navigate through the currently displayed document.

> w
>   Specifies the parent Widget ID. This must be a widget of class xmHTMLWidgetClass;
> anchor
>   Specifies the name of the anchor (of the form `#name`) for which a identifier must be returned. This name must refer an anchor in the currently displayed document;

### Return Value

> The id of the requested anchor or -1 on failure (the named anchor does not exist).

### See Also

> XmHTML(3X), XmHTMLAnchorScrollToId(3X)

XmHTML, October 7, 1997